Module | XMLRPC
In: | xmlrpc/utils.rb xmlrpc/server.rb xmlrpc/parser.rb xmlrpc/marshal.rb xmlrpc/datetime.rb xmlrpc/create.rb xmlrpc/config.rb xmlrpc/client.rb xmlrpc/base64.rb

$Id: config.rb,v 1.1 2003/07/19 10:05:54 matz Exp $ Configuration file for XML-RPC for Ruby

### Methods

iPIMethods interface

### Classes and Modules

Module XMLRPC::Config
Module XMLRPC::Convert
Module XMLRPC::Marshallable
Module XMLRPC::ParseContentType
Module XMLRPC::ParserWriterChooseMixin
Module XMLRPC::Service
Module XMLRPC::XMLParser
Module XMLRPC::XMLWriter
Class XMLRPC::Base64
Class XMLRPC::BasicServer
Class XMLRPC::CGIServer
Class XMLRPC::Client
Class XMLRPC::Create
Class XMLRPC::DateTime
Class XMLRPC::FaultException
Class XMLRPC::Marshal
Class XMLRPC::ModRubyServer
Class XMLRPC::Server
Class XMLRPC::WEBrickServlet

### Public Class methods

iPIMethods(prefix)

short-cut for creating a PublicInstanceMethodsInterface

[Source]

    # File xmlrpc/utils.rb, line 152
      def self.iPIMethods(prefix)
        Service::PublicInstanceMethodsInterface.new(prefix)
      end

interface(prefix, &p)

short-form to create a Service::Interface

[Source]

    # File xmlrpc/utils.rb, line 147
      def self.interface(prefix, &p)
        Service::Interface.new(prefix, &p)
      end

[Validate]